Skip to content

Buyer Information ​

http
POST /api/marketplace/v3/dbw/orders/client

Base URL: https://marketplace-api.wildberries.ru · Module: orders-dbw · Section: DBW Assembly Orders · Specification doc ↗

The method returns buyers information by order IDs.

Request limit per one seller account for DBW methods:

  • for getting and updating contact lists
  • for getting and deleting label identifiers
  • assembly orders
PeriodLimitIntervalBurst
1 min300 requests200 ms20 requests
One request with 4XX response codes is counted as 10 requests

Request body ​

application/json — schema OrdersRequestAPI, required

  • orders integer<int64>[] — Assembly order IDs list

Responses ​

CodeDescriptionSchema
200SuccessClientInfoResp
400Bad requestPostV3DbwOrdersClientResponse400
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
429Too many requestsobject

Structure 200:

  • orders ClientInfo[] — Buyers information
    • replacementPhone string — Replacement phone number to contact the buyer. An empty value "" means that the number is not assigned yet
    • phone string — Buyer contact phone number: - if the extension code is not specified in the phoneCode field, you can call the buyer using the specified number. Additional phone numbers that do not need extension codes are specified in the additionalPhones field - if the extension code is specified in the phoneCode field, use it to reach the buyer via the specified number and extension code
    • firstName string — Buyer first name
    • fullName string — Buyer full name, used for documents
    • additionalPhones string[] — Additional phone numbers to contact the buyer. Use it to call the buyer, if the main number from phone is unavailable. An empty value means that the number is not specified
    • additionalPhoneCodes integer<int64>[] — Additional extension codes. Use it if you could not reach the buyer using the extension code from phoneCode. An empty value means that the codes are not assigned yet
    • orderId integer<int64> — Assembly order ID
    • phoneCode integer<int64> — Extension phone code. Use it to reach the buyer via the number from phone. If the code is not specified, you can call the buyer without codes

Structure 400:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error
  • detail string — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_dbw import Configuration, ApiClient
from wb_api_client.orders_dbw.api import OrdersDbwApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersDbwApi(ApiClient(cfg))

result = api.post_v3_dbw_orders_client(orders_request_api=...)
print(result)
ts
import {
  Configuration,
  OrdersDbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-dbw";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersDbwApi(cfg);

const { data } = await api.postV3DbwOrdersClient(ordersRequestAPI);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersdbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_dbw"
)

cfg := wbordersdbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersdbw.NewAPIClient(cfg)

result, _, err := client.OrdersDbwAPI.PostV3DbwOrdersClient(context.Background()).OrdersRequestAPI(ordersRequestAPI).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_dbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_dbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_dbw.api.OrdersDbwApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersDbwApi api = new OrdersDbwApi(client);

System.out.println(api.postV3DbwOrdersClient(ordersRequestAPI));
php
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Api\OrdersDbwApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersDbwApi(new Client(), $config);

print_r($api->postV3DbwOrdersClient($orders_request_api));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersDbwApi(Настройки);

Сообщить(Клиент.PostV3DbwOrdersClient(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersDbwApi(config);

Console.WriteLine(api.PostV3DbwOrdersClient(ordersRequestAPI));
rust
use wb_api_client::orders_dbw::apis::{configuration::Configuration, orders_dbw_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_dbw_api::post_v3_dbw_orders_client(&cfg, orders_request_api).await;
    println!("{:#?}", result);
}